org.h2gis.functions.spatial.topography

## Class ST_Drape

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.topography.ST_Drape

All Implemented Interfaces:
  org.h2gis.api.Function, org.h2gis.api.ScalarFunction

    public class ST_Drape
    extends org.h2gis.api.DeterministicScalarFunction

This function could be used to drape a geometry to a set of triangles

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC, PROP_NOBUFFER`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
Constructor and Description
`ST_Drape()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static com.vividsolutions.jts.geom.Geometry` `drape(com.vividsolutions.jts.geom.Geometry geomToDrape, com.vividsolutions.jts.geom.Geometry triangles)`
`static com.vividsolutions.jts.geom.Geometry` `drapeLineString(com.vividsolutions.jts.geom.LineString line, com.vividsolutions.jts.geom.Geometry triangles, com.vividsolutions.jts.index.strtree.STRtree sTRtree)` Drape a linestring to a set of triangles
`static com.vividsolutions.jts.geom.Geometry` `drapeMultiLineString(com.vividsolutions.jts.geom.MultiLineString lines, com.vividsolutions.jts.geom.Geometry triangles, com.vividsolutions.jts.index.strtree.STRtree sTRtree)` Drape a multilinestring to a set of triangles
`static com.vividsolutions.jts.geom.Geometry` `drapeMultiPolygon(com.vividsolutions.jts.geom.MultiPolygon polygons, com.vividsolutions.jts.geom.Geometry triangles, com.vividsolutions.jts.index.strtree.STRtree sTRtree)` Drape a multilinestring to a set of triangles
`static com.vividsolutions.jts.geom.Geometry` `drapePoints(com.vividsolutions.jts.geom.Geometry pts, com.vividsolutions.jts.geom.Geometry triangles, com.vividsolutions.jts.index.strtree.STRtree sTRtree)` Drape a point or a multipoint geometry to a set of triangles
`static com.vividsolutions.jts.geom.Geometry` `drapePolygon(com.vividsolutions.jts.geom.Polygon p, com.vividsolutions.jts.geom.Geometry triangles, com.vividsolutions.jts.index.strtree.STRtree sTRtree)` Drape a polygon on a set of triangles
`String` `getJavaStaticMethod()`
`static com.vividsolutions.jts.geom.Geometry` `lineMerge(com.vividsolutions.jts.geom.Geometry geom, com.vividsolutions.jts.geom.GeometryFactory factory)` A method to merge a geometry to a set of linestring

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_Drape

    public ST_Drape()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### drape

    public static com.vividsolutions.jts.geom.Geometry drape(com.vividsolutions.jts.geom.Geometry geomToDrape,
                                                             com.vividsolutions.jts.geom.Geometry triangles)
                                                      throws SQLException

Throws:
  `SQLException`

#### drapePoints

    public static com.vividsolutions.jts.geom.Geometry drapePoints(com.vividsolutions.jts.geom.Geometry pts,
                                                                   com.vividsolutions.jts.geom.Geometry triangles,
                                                                   com.vividsolutions.jts.index.strtree.STRtree sTRtree)

Drape a point or a multipoint geometry to a set of triangles

Parameters:
  `pts` -
  `triangles` -
  `sTRtree` -
Returns:

#### drapeMultiPolygon

    public static com.vividsolutions.jts.geom.Geometry drapeMultiPolygon(com.vividsolutions.jts.geom.MultiPolygon polygons,
                                                                         com.vividsolutions.jts.geom.Geometry triangles,
                                                                         com.vividsolutions.jts.index.strtree.STRtree sTRtree)

Drape a multilinestring to a set of triangles

Parameters:
  `polygons` -
  `triangles` -
  `sTRtree` -
Returns:

#### drapeMultiLineString

    public static com.vividsolutions.jts.geom.Geometry drapeMultiLineString(com.vividsolutions.jts.geom.MultiLineString lines,
                                                                            com.vividsolutions.jts.geom.Geometry triangles,
                                                                            com.vividsolutions.jts.index.strtree.STRtree sTRtree)

Drape a multilinestring to a set of triangles

Parameters:
  `lines` -
  `triangles` -
  `sTRtree` -
Returns:

#### drapeLineString

    public static com.vividsolutions.jts.geom.Geometry drapeLineString(com.vividsolutions.jts.geom.LineString line,
                                                                       com.vividsolutions.jts.geom.Geometry triangles,
                                                                       com.vividsolutions.jts.index.strtree.STRtree sTRtree)

Drape a linestring to a set of triangles

Parameters:
  `line` -
  `triangles` -
  `sTRtree` -
Returns:

#### drapePolygon

    public static com.vividsolutions.jts.geom.Geometry drapePolygon(com.vividsolutions.jts.geom.Polygon p,
                                                                    com.vividsolutions.jts.geom.Geometry triangles,
                                                                    com.vividsolutions.jts.index.strtree.STRtree sTRtree)

Drape a polygon on a set of triangles

Parameters:
  `p` -
  `triangles` -
  `sTRtree` -
Returns:

#### lineMerge

    public static com.vividsolutions.jts.geom.Geometry lineMerge(com.vividsolutions.jts.geom.Geometry geom,
                                                                 com.vividsolutions.jts.geom.GeometryFactory factory)

A method to merge a geometry to a set of linestring

Parameters:
  `geom` -
  `factory` -
Returns: